You can not select more than 25 topics
Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
24 lines
958 B
24 lines
958 B
6 years ago
|
From 2f117f4db3425229f9a9b107682ad05b8ba613ea Mon Sep 17 00:00:00 2001
|
||
|
From: Stig Telfer <stelfer@cray.com>
|
||
|
Date: Fri, 24 Jan 2014 15:48:32 +0000
|
||
|
Subject: [PATCH] dracut-lib.sh: bugfix for pidof function
|
||
|
|
||
|
In follow-up, the patch requires a second mod: kernel tasks have a /proc/.../exe that links to nothing and derails the for loop:
|
||
|
---
|
||
|
modules.d/99base/dracut-lib.sh | 2 +-
|
||
|
1 file changed, 1 insertion(+), 1 deletion(-)
|
||
|
|
||
|
diff --git a/modules.d/99base/dracut-lib.sh b/modules.d/99base/dracut-lib.sh
|
||
|
index 61e5a81a..d892c26d 100755
|
||
|
--- a/modules.d/99base/dracut-lib.sh
|
||
|
+++ b/modules.d/99base/dracut-lib.sh
|
||
|
@@ -967,7 +967,7 @@ if ! command -v pidof >/dev/null 2>/dev/null; then
|
||
|
[ -z "$_cmd" ] && return 1
|
||
|
_exe=$(type -P "$1")
|
||
|
for i in /proc/*/exe; do
|
||
|
- [ -e "$i" ] || return 1
|
||
|
+ [ -e "$i" ] || continue
|
||
|
if [ -n "$_exe" ]; then
|
||
|
[ "$i" -ef "$_exe" ] || continue
|
||
|
else
|